=== kstyles/CMakeLists.txt ===

# add_subdirectory( keramik )
add_subdirectory( oxygen )
