=== doc/kcontrol/CMakeLists.txt ===
add_subdirectory(bookmarks)
add_subdirectory(icons)
add_subdirectory(cookies)
add_subdirectory(crypto)
add_subdirectory(ebrowsing)
add_subdirectory(useragent)
add_subdirectory(khtml)
add_subdirectory(nepomuk)
if ( NOT Q_WS_WIN )
add_subdirectory(smb)
endif ( NOT Q_WS_WIN )
add_subdirectory(emoticons)

if ( Q_WS_X11 )
add_subdirectory(background)
add_subdirectory(cache)
add_subdirectory(desktop)
add_subdirectory(desktopbehavior)
add_subdirectory(email)
add_subdirectory(filemanager)
add_subdirectory(filetypes)
add_subdirectory(helpindex)
add_subdirectory(kcmcss)
add_subdirectory(kcmkonsole)
add_subdirectory(kcmlaunch)
add_subdirectory(kcmnotify)
add_subdirectory(kcmtaskbar)
add_subdirectory(kdm)
add_subdirectory(language)
add_subdirectory(netpref)
add_subdirectory(panel)
add_subdirectory(panelappearance)
add_subdirectory(passwords)
add_subdirectory(paths)
add_subdirectory(performance)
add_subdirectory(proxy)
add_subdirectory(spellchecking)
endif ( Q_WS_X11 )

########### install files ###############
#
#
#
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en)
