=== drkonqi/tests/CMakeLists.txt ===
add_subdirectory(crashtest)
add_subdirectory(backtraceparsertest)
