=== doc/kcontrol/CMakeLists.txt ===
add_subdirectory(attica)
add_subdirectory(bookmarks)
add_subdirectory(icons)
add_subdirectory(cookies)
add_subdirectory(ebrowsing)
add_subdirectory(useragent)
add_subdirectory(khtml-general)
add_subdirectory(khtml-plugins)
add_subdirectory(khtml-java-js)
add_subdirectory(khtml-behavior)
add_subdirectory(khtml-adblock)
add_subdirectory(nepomuk)
if ( NOT Q_WS_WIN )
add_subdirectory(smb)
endif ( NOT Q_WS_WIN )
add_subdirectory(emoticons)

if ( Q_WS_X11 )
add_subdirectory(cache)
add_subdirectory(filemanager)
add_subdirectory(filetypes)
add_subdirectory(helpindex)
add_subdirectory(kcmcgi)
add_subdirectory(kcmcss)
add_subdirectory(kcmlaunch)
add_subdirectory(kcmnotify)
add_subdirectory(language)
add_subdirectory(netpref)
add_subdirectory(paths)
add_subdirectory(performance)
add_subdirectory(proxy)
add_subdirectory(spellchecking)
add_subdirectory(componentchooser)
add_subdirectory(kded)
add_subdirectory(trash)
add_subdirectory(history)
add_subdirectory(solid-device-automounter)
add_subdirectory(phonon)
endif ( Q_WS_X11 )
