=== debian/changelog ===
kdebase-runtime (4:4.4.5-1) unstable; urgency=low

  * New upstream release.

  [ Sune Vuorela ]
  * KNetattach is in kde4 libexec dir, so the desktop file should not be
    available outside kde, else it can't be found. (Closes: #582844)
  * Finally move to my debian.org address.
  * Remove the 04_attica_0.1.4_compat.diff. applied upstreams.
  * Update some descriptions

  [ Modestas Vainius ]
  * Bump kde-sc-dev-latest build dependency to 4:4.4.5.

 -- Modestas Vainius <modax@debian.org>  Sun, 04 Jul 2010 19:00:50 +0300

kdebase-runtime (4:4.4.4-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Bump pkg-kde-tools build dependency to (>= 0.9) for HTML_INSTALL_DIR
    switch and 3.0 (quilt) source format support.
  * Switch to 3.0 (quilt) source package format and original tar.bz2
    tarballs.
  * Replace usr/share/doc/kde4 references with usr/share/doc/kde.
  * Drop quilt from Build-Depends, no longer needed for 3.0 (quilt).
  * Remove debian/README.source. Patch support is part of source format
    now.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.4.
  * Add 04_attica_0.1.4_compat.diff patch which fixes FTBFS with attica >=
    0.1.4 (Closes: #583019). Bump build dependency on libattica-dev to 0.1.4.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 01 Jun 2010 01:15:13 +0300

kdebase-runtime (4:4.4.3-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Improve grammar in the description of the plasma-scriptentine-javascript
    package (Closes: #576711).
  * Bump kde-sc-dev-latest build dependency to 4.4.3.
  * Release KDE SC 4.4.3 to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 01 May 2010 23:37:51 +0300

kdebase-runtime (4:4.4.2-1) experimental; urgency=low

  * New upstream release:
    - DrKonqi no longer reports kscreenlocker crashes to the wrong component at
      bugs.kde.org. (Closes: #575718) 
    - Soprano no longer crashes on nested analysis results. (Closes: #571721)

  [ Modestas Vainius ]
  * Change my email address to modax@debian.org in Uploaders field.
  * Fix Vcs-Browser URL.
  * libkdeinit4_*.so have been moved to private directory (Closes: #553117). 
  * Make kdebase-runtime depend on kdelibs5-plugins.
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Make kdebase-runtime depend on plasma-scriptengine-javascript (addresses
    aseigo complaints in his blog).
  * Bump oxygen-icon-theme dependency to 4:4.4.
  * Make /usr/share/services/khelpcenter.desktop symlink relative.
  * Exclude attica_kde.so from kdebase-runtime shlibs.
  * Move knetattach.desktop to kdebase-runtime "near" its executable.
    (Closes: #517769)
  * Add lintian-overrides for kdebase-runtime and khelpcenter4.
  * Add ${perl:Depends} and ${misc:Depends} as needed.
  * Add cmake to Build-Depends.
  * Add kde-sc-dev-latest (>= 4:4.4.2) to Build-Depends.
  * Bump pkg-kde-tools build dependency to 0.6.4.
  * Make kdebase-runtime recommend virtuoso-minimal.

  [ Pino Toscano ]
  * Drop pmount recommend, no more used now. (Closes: #557424)
  * kdebase-runtime does not use kdepimlibs, so kdebase-runtime-dbg does not
    need to depend on kdepimlibs-dbg, but just kdelibs5-dbg. (Closes: #466167)
  * "javascript" -> "JavaScript" in plasma-scriptengine-javascript
    descriptions. (Closes: #567166)
  * Drop kfreebsd-gnu and hurd alternatives for hal recommend, as hal is
    available on these architectures now.
  * Add icoutils suggest to kdebase-runtime, as it contains a thumbnailer for
    icons in Windows executables which uses wrestool and icotool.

  [ George Kiagiadakis ]
  * Drop backported patch 00_1034807_4.4_backport_rtldglobal.diff.
  * Refresh patch 25_khelp_htdig.diff.
  * Add patch 03_disable_usr_lib_install_rpath.diff to disable
    setting RPATH to /usr/lib for the phonon platform plugin.
  * Bump kdelibs5-dev build dependency to >= 4:4.4.
  * Bump libsoprano-dev build dependency to >= 2.3.70.
  * Bump libphonon-dev build dependency to >= 4:4.6.0really4.3.80.
  * Add build-dependencies to libattica-dev, libssh-dev, libexiv2-dev.
  * Drop libknotificationitem-1-dev build-dependency.
  * Update installed files.
  * Add build and runtime dependency to shared-desktop-ontologies.

  [ Jonathan Thomas ]
  * Split the KCM for the Phonon Xine backend into a separate package from the
    kdebase-runtime binary package to prevent all of KDE from depending on Xine.
    (Closes: #559748)

  [ Ryan Kavanagh ]
  * Update and apply Martin Olsen's patch to add a manpage for
    /usr/bin/kioclient (Closes: #493054).

  [ Ferdinand Thommes ]
  * updated copyright

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 05 Apr 2010 16:21:50 +0300

kdebase-runtime (4:4.3.4-2) unstable; urgency=low

  +++ Changes by Modestas Vainius:

  * Make kdebase-runtime conflict with kdebase-kio-plugins due to ktrash
    (Closes: #560291).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 10 Dec 2009 12:35:30 +0200

kdebase-runtime (4:4.3.4-1) unstable; urgency=low

  * New upstream release

  +++ Changes by Xavier Vello:

  * Added khelpcenter.desktop to /usr/share/services to enable khelpcenter4
    support in kde3 apps

  +++ Changes by Lukasz Janyst:

  * Bump build depends.

  +++ Changes by Pino Toscano:

  * Add liblzma-dev build-depend to add XZ support.

  +++ Changes by Sune Vuorela:

  * Remove the ktrash debian renaming. Not needed since we got rid of kde3
    kdebase in unstable.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove myself from Uploaders.

  +++ Changes by Modestas Vainius:

  * Update install files.
  * Backport a patch from KDE 4.4 to make it possible to use kstyles
    with RTLD_GLOBAL. Unbreaks openoffice.org (Closes: #550905) (patch
    00_1034807_4.4_backport_rtldglobal.diff, kdebase-runtime part).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 09 Dec 2009 00:24:05 +0200


