=== debian/control ===
Source: kdebase-runtime
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
 Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <gkiagiad@csd.uoc.gr>
Build-Depends: kde-sc-dev-latest (>= 4:4.4.5),
 cdbs (>= 0.4.51), cmake, debhelper (>= 7), pkg-kde-tools (>= 0.9),
 kdelibs5-dev (>= 4:4.4), libphonon-dev (>= 4:4.6.0really4.3.80), kdelibs5-plugins,
 libclucene-dev, libsmbclient-dev, libsoprano-dev (>= 2.3.70),
 libstreamanalyzer-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3),
 libxcb1-dev, libopenexr-dev, libbz2-dev, libx11-dev, libxcursor-dev,
 libasound2-dev (>= 1.0.14a) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libjpeg62-dev, libqt4-opengl-dev, libpulse-dev, libxine-dev, libslp-dev,
 liblzma-dev, libattica-dev (>= 0.1.4), libssh-dev (>= 0.4.0), libexiv2-dev,
 shared-desktop-ontologies
Standards-Version: 3.8.4
Homepage: http://www.kde.org/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdebase-runtime/#_trunk_packages_kdebase-runtime_
Vcs-Svn: svn://svn.debian.org/pkg-kde/trunk/packages/kdebase-runtime

Package: kdebase-runtime
Section: kde
Architecture: any
Replaces: kdebase-bin (<< 4:4.2.90), kdelibs5 (<< 4:4.1.80), kdelibs-bin (<< 4:4.1.80),
 kdebase-workspace-bin (<< 4:4.2.90), kdebase-bin-kde3, kdebase-runtime-bin-kde4, kcontrol,
 kdebase-runtime-data (<< 4:4.4.0)
Conflicts: kdebluetooth (<< 1.0~beta7-1), phonon-backend-xine (<< 4:4.2.80), kdebase-runtime-bin-kde4,
 kdebase-bin-kde3, kcontrol, kdebase-kio-plugins
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
 kdebase-runtime-data (>= ${source:Version}), ${sameVersionDep:kdelibs5-plugins:kdebase-runtime},
 oxygen-icon-theme (>= 4:4.4), phonon-backend-xine | phonon-backend,
 shared-desktop-ontologies, plasma-scriptengine-javascript (= ${binary:Version})
Recommends: hal, virtuoso-minimal
Suggests: djvulibre-bin, icoutils
Description: runtime components from the official KDE release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This package contains programs and data needed at runtime by KDE applications
 applications.

Package: kdebase-runtime-data
Section: kde
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}
Replaces: kdebase-data (<< 4:4.2.90), kdebase-bin (<< 4:4.0.0), drkonqi, kdelibs5-data (<< 4:4.1.80),
 kdebase-workspace-data (<< 4:4.1.85+svn897913), akonadi-kde (<< 4:4.2.90), kde-icons-oxygen (<= 4:4.2.4-1),
 kdebase-data (<< 4:4.0.0), kdebase-runtime-data-common
Conflicts: drkonqi, phonon-backend-xine (<< 4:4.2.80), kdebase-runtime-data-common,
 kdebase-bin (<< 4:4.0.0), kdebase-data (<< 4:4.0.0)
Description: shared data files for the KDE base runtime module
 This package contains the architecture-independent shared data files needed to
 run KDE applications.
 .
 This package is part of the KDE base runtime module.

Package: khelpcenter4
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: htdig
Replaces: kdebase-runtime-data (<< 4:4.0.80-2), kdebase-runtime (<< 4:4.0.80-2)
Conflicts: khelpcenter
Description: help center
 The KDE Help Center displays documentation on how to use the KDE plasma workspaces
 and  applications, as well as UNIX man and info pages.
 It can search through documentation using the 'htdig' package.
 .
 This package is part of the KDE base runtime module.

Package: kde-config-phonon-xine
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdebase-runtime-data (<< 4:4.4.0), kdebase-runtime (<< 4:4.4.0)
Description: advanced Phonon Xine configuration
 This package contains a configuration module for tweaking some of the more
 advanced settings for Phonon's Xine backend.
 .
 This package is part of the KDE base runtime module.

Package: plasma-scriptengine-javascript
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdebase-workspace-bin (<< 4:4.1.82+svn893000), kdebase-workspace-data (<< 4:4.1.82)
Description: the JavaScript script engine for Plasma
 This package provides the JavaScript script engine for Plasma. You have to
 install it if you want to use Plasma widgets and data engines written in
 JavaScript.
 .
 This package is part of the KDE base runtime module.

Package: kdebase-runtime-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdebase-runtime (= ${binary:Version}), kdelibs5-dbg
Replaces: kdelibs5-dbg (<< 4:4.1.80), kdebase-dbg (<< 4:4.2.90), kdebase-workspace-dbg (<< 4:4.2.90)
Description: debugging symbols for KDE base runtime module
 This package contains the debugging symbols associated with kdebase-runtime.
 They will automatically be used by gdb for debugging kdebase-runtime related
 issues.
