=== debian/rules ===
#!/usr/bin/make -f

# don't use the debugging symbols from kdebase-runtime-kde4. othwerwise we have a conflict with kdebase-dbg from KDE 3
DEB_DBG_PACKAGE_kdebase-runtime := kdebase-runtime-dbg

# exclude dependency on phonon metapackage. KDE4 does its own phonon setup
DEB_DH_SHLIBDEPS_ARGS_ALL := -u-xphonon
DEB_DH_SHLIBDEPS_ARGS_plasma-scriptengine-javascript := -u-xkdebase-runtime

DEB_FIXPERMS_EXCLUDE := usr/lib/kde4/libexec/kdesud

DEB_DH_MAKESHLIBS_ARGS_kdebase-runtime = -Xusr/lib/attica_kde.so

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk
